Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::BinarySceneLoader Class Reference

バイナリシーンローダ More...

`#include <BinarySceneLoader.h>`

List of all members.

## Public Member Functions
| BinarySceneLoader ()
| コンストラクタ
virtual | ~BinarySceneLoader ()
| デストラクタ
virtual void | load (const String &filePath, Scene *scene)
| ロード
virtual void | load (const String &filePath, Scene *scene, SceneNode *rootNode)
| ロード
virtual void | load (BinaryReader *binaryReader, Scene *scene, const String &basePath="")
| ロード
virtual void | load (BinaryReader *binaryReader, Scene *scene, SceneNode *rootNode, const String &basePath="")
| ロード
## Protected Member Functions
virtual void | readHeader ()
| ヘッダの読み込み
virtual void | readFog ()
| フォグの読み込み
virtual void | readSceneNodeList (int listSize)
| シーンノードリストの読み込み
virtual void | readSceneNode ()
| シーンノードの読み込み
virtual void | readLODSceneNode ()
| レベルオブディティールシーンノードの読み込み
virtual void | readLightList (int listSize)
| ライトリストの読み込み
virtual void | readLight (Light *light)
| ライトの読み込み
virtual void | readAmbientLight ()
| アンビエントライトの読み込み
virtual void | readDirectionalLight ()
| ディレクショナルライトの読み込み
virtual void | readPointLight ()
| ポイントライトの読み込み
virtual void | readModelList (int listSize)
| モデルリストの読み込み
virtual void | readStandardModel ()
| 標準モデルの読み込み
virtual void | readCharacterModel ()
| キャラクタモデルの読み込み
virtual void | readBone (CharacterModel *model)
| ボーンの読み込み
virtual void | readMeshList (int listSize)
| メッシュリストの読み込み
virtual void | readRigidMesh ()
| 剛体メッシュの読み込み
virtual void | readCharacterMesh ()
| キャラクタメッシュの読み込み
virtual void | readMeshDataList (int listSize)
| メッシュデータリストの読み込み
virtual void | readMeshData ()
| メッシュデータの読み込み
virtual void | readMaterialList (int listSize)
| マテリアルリストの読み込み
virtual void | readMaterial (Material *material)
| マテリアルの読み込み
virtual void | readBasicMaterial ()
| 基本マテリアルの読み込み
virtual void | readTextureList (int listSize)
| テクスチャリストの読み込み
virtual void | readSurfaceTexture ()
| サーフェーステクスチャの読み込み
virtual void | readPictureList (int listSize)
| ピクチャリストの読み込み
virtual Picture * | readPictureRGB8 (const String &name, TargaLoader &loader)
| RGB8ビットピクチャの読み込み.
virtual Picture * | readPictureRGBA8 (const String &name, TargaLoader &loader)
| RGBA8ビットピクチャの読み込み.
virtual void | readSceneNodeLinkList (int listSize)
| シーンノードリンクリストの読み込み
virtual void | readSceneNodeLink ()
| シーンノードリンクの読み込み
virtual void | readModelLinkList (int listSize)
| モデルリンクリストの読み込み
virtual void | readModelLink ()
| モデルリンクの読み込み
virtual void | readMeshLinkList (int listSize)
| メッシュリンクリストの読み込み
virtual void | readMeshLink ()
| メッシュリンクの読み込み
virtual void | readMaterialLinkList (int listSize)
| マテリアルリンクリストの読み込み
virtual void | readBasicMaterialLink ()
| 基本マテリアルリンクの読み込み
virtual void | readTextureLinkList (int listSize)
| テクスチャリンクリストの読み込み
virtual void | readTextureLink ()
| テクスチャリンクの読み込み
virtual String | readString ()
| 文字列の読み込み
virtual Vector3 | readVector3 ()
| 三次元ベクトルの読み込み
virtual Matrix34 | readMatrix34 ()
| 3×4行列の読み込み
virtual Color3c | readColor3c ()
| 三要素整数カラー値の読み込み
virtual Color4c | readColor4c ()
| 四要素整数カラー値の読み込み
virtual Color3f | readColor3f ()
| 三要素実数カラー値の読み込み
virtual Color4f | readColor4f ()
| 四要素実数カラー値の読み込み
virtual TexCoord2 | readTexCoord2 ()
| 二次元テクスチャ座標値の読み込み
virtual AxisAlignedBox | readAxisAlignedBox ()
| 軸沿いボックスの読み込み
virtual Sphere | readSphere ()
| 球の読み込み
virtual void | align ()
| アライメントを取る
virtual String | readID ()
| IDの読み込み.
## Protected Attributes
BinaryReader * | reader_
| リーダ
char | stringBuffer_ [stringBufferSize_]
| 文字列バッファ
String | basePath_
| ベースパス
Scene * | scene_
| シーン
SceneNode * | rootNode_
| ルートノード
SceneNodeManager * | sceneNodeManager_
| シーンノードマネージャ
LightManager * | lightManager_
| ライトマネージャ
ModelManager * | modelManager_
| モデルマネージャ
MeshManager * | meshManager_
| メッシュマネージャ
MeshDataManager * | meshDataManager_
| メッシュデータマネージャ
MaterialManager * | materialManager_
| マテリアルマネージャ
TextureManager * | textureManager_
| テクスチャマネージャ
PictureManager * | pictureManager_
| ピクチャマネージャ
## Static Protected Attributes
const int | stringBufferSize_ = 256
| 文字列バッファサイズ

## Detailed Description

バイナリシーンローダ

Definition at line 53 of file BinarySceneLoader.h.

## Member Function Documentation

void Lamp::BinarySceneLoader::load | ( | BinaryReader * | binaryReader,
|  | Scene * | scene,
|  | SceneNode * | rootNode,
|  | const String & | basePath = ""
| ) | `[virtual]`

  | ロード Parameters:
  binaryReader | バイナリリーダ
  scene | ロード先シーン
  rootNode | ロード先ルートノード
  basePath | ベースパス
Definition at line 73 of file BinarySceneLoader.cpp. References align(), Assert, basePath_, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::getSize(), Lamp::SceneNode::isEnabled(), Lamp::Reader::isEnd(), lightManager_, materialManager_, meshDataManager_, meshManager_, modelManager_, pictureManager_, reader_, readFog(), readHeader(), readID(), Lamp::BinaryReader::readInt(), readLightList(), readMaterialLinkList(), readMaterialList(), readMeshDataList(), readMeshLinkList(), readMeshList(), readModelLinkList(), readModelList(), readPictureList(), readSceneNodeLinkList(), readSceneNodeList(), readTextureLinkList(), readTextureList(), rootNode_, scene_, sceneNodeManager_, Lamp::SceneNode::setEnabled(), Lamp::Reader::skip(), and textureManager_.

void Lamp::BinarySceneLoader::load | ( | BinaryReader * | binaryReader,
|  | Scene * | scene,
|  | const String & | basePath = ""
| ) | `[virtual]`

  | ロード Parameters:
  binaryReader | バイナリリーダ
  scene | ロード先シーン
  basePath | ベースパス
Definition at line 67 of file BinarySceneLoader.cpp. References Lamp::Scene::getRootNode(), and load().

void Lamp::BinarySceneLoader::load | ( | const String & | filePath,
|  | Scene * | scene,
|  | SceneNode * | rootNode
| ) | `[virtual]`

  | ロード Parameters:
  filePath | ファイルパス
  scene | ロード先シーン
  rootNode | ロード先ルートノード
Definition at line 57 of file BinarySceneLoader.cpp. References Assert, Lamp::FilePath::existFile(), Lamp::FilePath::getFolderPath(), and load().

void Lamp::BinarySceneLoader::load | ( | const String & | filePath,
|  | Scene * | scene
| ) | `[virtual]`

  | ロード Parameters:
  filePath | ファイルパス
  scene | ロード先シーン
Definition at line 53 of file BinarySceneLoader.cpp. References Lamp::Scene::getRootNode(). Referenced by load(), and Lamp::SceneFramework::loadScene().

AxisAlignedBox Lamp::BinarySceneLoader::readAxisAlignedBox | ( |  | ) | `[protected, virtual]`

| 軸沿いボックスの読み込み Returns: 軸沿いボックス Definition at line 1062 of file BinarySceneLoader.cpp. References Lamp::Reader::readBytes(), and reader_. Referenced by readMeshData().

void Lamp::BinarySceneLoader::readBone | ( | CharacterModel * | model | ) | `[protected, virtual]`

  | ボーンの読み込み Parameters:
  model | 読込先モデル
Definition at line 392 of file BinarySceneLoader.cpp. References Lamp::CharacterModel::createBone(), readMatrix34(), readString(), readVector3(), Lamp::Bone::setInversePoseMatrix(), Lamp::Bone::setRotationXYZ(), Lamp::Bone::setScale(), and Lamp::Bone::setTranslation(). Referenced by readCharacterModel().

Color3c Lamp::BinarySceneLoader::readColor3c | ( |  | ) | `[protected, virtual]`

| 三要素整数カラー値の読み込み Returns: 三要素整数カラー値 Definition at line 1027 of file BinarySceneLoader.cpp. References Lamp::Color3c::array, Lamp::Reader::readBytes(), and reader_.

Color3f Lamp::BinarySceneLoader::readColor3f | ( |  | ) | `[protected, virtual]`

| 三要素実数カラー値の読み込み Returns: 三要素実数カラー値 Definition at line 1041 of file BinarySceneLoader.cpp. References Lamp::Color3f::array, Lamp::Reader::readBytes(), and reader_. Referenced by readAmbientLight(), readBasicMaterial(), readDirectionalLight(), and readPointLight().

Color4c Lamp::BinarySceneLoader::readColor4c | ( |  | ) | `[protected, virtual]`

| 四要素整数カラー値の読み込み Returns: 四要素整数カラー値 Definition at line 1034 of file BinarySceneLoader.cpp. References Lamp::Color4c::array, Lamp::Reader::readBytes(), and reader_. Referenced by readFog(), and readMeshData().

Color4f Lamp::BinarySceneLoader::readColor4f | ( |  | ) | `[protected, virtual]`

| 四要素実数カラー値の読み込み Returns: 四要素実数カラー値 Definition at line 1048 of file BinarySceneLoader.cpp. References Lamp::Color4f::array, Lamp::Reader::readBytes(), and reader_.

String Lamp::BinarySceneLoader::readID | ( |  | ) | `[protected, virtual]`

| IDの読み込み. Returns: ID Definition at line 1083 of file BinarySceneLoader.cpp. References Lamp::Reader::readBytes(), and reader_. Referenced by load(), readHeader(), readLightList(), readMaterialLinkList(), readMaterialList(), readMeshList(), readModelList(), readSceneNodeList(), and readTextureList().

void Lamp::BinarySceneLoader::readLight | ( | Light * | light | ) | `[protected, virtual]`

  | ライトの読み込み Parameters:
  light | ライト
Definition at line 283 of file BinarySceneLoader.cpp. References Lamp::BinaryReader::readBool(), reader_, Lamp::BinaryReader::readUInt(), Lamp::SceneLeaf::setEnabled(), and Lamp::Light::setLightMask(). Referenced by readAmbientLight(), readDirectionalLight(), and readPointLight().

void Lamp::BinarySceneLoader::readLightList | ( | int | listSize | ) | `[protected, virtual]`

  | ライトリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 253 of file BinarySceneLoader.cpp. References align(), Assert, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), readAmbientLight(), readDirectionalLight(), reader_, readID(), Lamp::BinaryReader::readInt(), readPointLight(), and Lamp::Reader::skip(). Referenced by load().

void Lamp::BinarySceneLoader::readMaterial | ( | Material * | material | ) | `[protected, virtual]`

  | マテリアルの読み込み Parameters:
  material | マテリアル
Definition at line 574 of file BinarySceneLoader.cpp. References align(), Lamp::BinaryReader::readBool(), reader_, Lamp::BinaryReader::readFloat(), Lamp::BinaryReader::readInt(), Lamp::BinaryReader::readUInt(), Lamp::Material::setAlpha(), Lamp::Material::setBlendDestination(), Lamp::Material::setBlendMode(), Lamp::Material::setBlendSource(), Lamp::Material::setFogOption(), Lamp::Material::setLightMask(), Lamp::Material::setPriority(), Lamp::Material::setZTest(), and Lamp::Material::setZWrite(). Referenced by readBasicMaterial().

void Lamp::BinarySceneLoader::readMaterialLinkList | ( | int | listSize | ) | `[protected, virtual]`

  | マテリアルリンクリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 870 of file BinarySceneLoader.cpp. References align(), Assert, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), readBasicMaterialLink(), reader_, readID(), Lamp::BinaryReader::readInt(), and Lamp::Reader::skip(). Referenced by load().

void Lamp::BinarySceneLoader::readMaterialList | ( | int | listSize | ) | `[protected, virtual]`

  | マテリアルリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 548 of file BinarySceneLoader.cpp. References align(), Assert, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), readBasicMaterial(), reader_, readID(), Lamp::BinaryReader::readInt(), and Lamp::Reader::skip(). Referenced by load().

Matrix34 Lamp::BinarySceneLoader::readMatrix34 | ( |  | ) | `[protected, virtual]`

| 3×4行列の読み込み Returns: 3×4行列 Definition at line 1020 of file BinarySceneLoader.cpp. References Lamp::Matrix34::array, Lamp::Reader::readBytes(), and reader_. Referenced by readBone().

void Lamp::BinarySceneLoader::readMeshDataList | ( | int | listSize | ) | `[protected, virtual]`

  | メッシュデータリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 451 of file BinarySceneLoader.cpp. References Assert, Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), reader_, and readMeshData(). Referenced by load().

void Lamp::BinarySceneLoader::readMeshLinkList | ( | int | listSize | ) | `[protected, virtual]`

  | メッシュリンクリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 818 of file BinarySceneLoader.cpp. References Assert, Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), reader_, and readMeshLink(). Referenced by load().

void Lamp::BinarySceneLoader::readMeshList | ( | int | listSize | ) | `[protected, virtual]`

  | メッシュリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 407 of file BinarySceneLoader.cpp. References align(), Assert, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), readCharacterMesh(), reader_, readID(), Lamp::BinaryReader::readInt(), readRigidMesh(), and Lamp::Reader::skip(). Referenced by load().

void Lamp::BinarySceneLoader::readModelLinkList | ( | int | listSize | ) | `[protected, virtual]`

  | モデルリンクリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 783 of file BinarySceneLoader.cpp. References Assert, Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), reader_, and readModelLink(). Referenced by load().

void Lamp::BinarySceneLoader::readModelList | ( | int | listSize | ) | `[protected, virtual]`

  | モデルリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 336 of file BinarySceneLoader.cpp. References align(), Assert, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), readCharacterModel(), reader_, readID(), Lamp::BinaryReader::readInt(), readStandardModel(), and Lamp::Reader::skip(). Referenced by load().

void Lamp::BinarySceneLoader::readPictureList | ( | int | listSize | ) | `[protected, virtual]`

  | ピクチャリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 668 of file BinarySceneLoader.cpp. References Assert, basePath_, ErrorOut, Lamp::String::getBytes(), Lamp::FilePath::getExtension(), Lamp::Reader::getPosition(), Lamp::TargaLoader::hasAlpha(), Lamp::Reader::isEnd(), Lamp::TargaLoader::loadHeader(), reader_, readPictureRGB8(), readPictureRGBA8(), readString(), and Lamp::Picture::setPath(). Referenced by load().

Picture * Lamp::BinarySceneLoader::readPictureRGB8 | ( | const String & | name,
|  | TargaLoader & | loader
| ) | `[protected, virtual]`

  | RGB8ビットピクチャの読み込み. Parameters:
  name | 名前
  loader | Targaローダ
Returns: 読み込んだピクチャ Definition at line 701 of file BinarySceneLoader.cpp. References Lamp::PictureManager::createPictureRGB8(), Lamp::PictureRGB8::getImageBuffer(), Lamp::TargaLoader::getSize(), Lamp::TargaLoader::loadImage(), pictureManager_, and Lamp::PictureRGB8::setSize(). Referenced by readPictureList().

Picture * Lamp::BinarySceneLoader::readPictureRGBA8 | ( | const String & | name,
|  | TargaLoader & | loader
| ) | `[protected, virtual]`

  | RGBA8ビットピクチャの読み込み. Parameters:
  name | 名前
  loader | Targaローダ
Returns: 読み込んだピクチャ Definition at line 710 of file BinarySceneLoader.cpp. References Lamp::PictureManager::createPictureRGBA8(), Lamp::PictureRGBA8::getImageBuffer(), Lamp::TargaLoader::getSize(), Lamp::TargaLoader::loadImage(), pictureManager_, and Lamp::PictureRGBA8::setSize(). Referenced by readPictureList().

void Lamp::BinarySceneLoader::readSceneNodeLinkList | ( | int | listSize | ) | `[protected, virtual]`

  | シーンノードリンクリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 721 of file BinarySceneLoader.cpp. References Assert, Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), reader_, and readSceneNodeLink(). Referenced by load().

void Lamp::BinarySceneLoader::readSceneNodeList | ( | int | listSize | ) | `[protected, virtual]`

  | シーンノードリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 189 of file BinarySceneLoader.cpp. References align(), Assert, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), reader_, readID(), Lamp::BinaryReader::readInt(), readLODSceneNode(), readSceneNode(), and Lamp::Reader::skip(). Referenced by load().

Sphere Lamp::BinarySceneLoader::readSphere | ( |  | ) | `[protected, virtual]`

| 球の読み込み Returns: 球 Definition at line 1069 of file BinarySceneLoader.cpp. References Lamp::Reader::readBytes(), and reader_. Referenced by readMeshData().

String Lamp::BinarySceneLoader::readString | ( |  | ) | `[protected, virtual]`

| 文字列の読み込み Returns: 文字列 Definition at line 996 of file BinarySceneLoader.cpp. References align(), Lamp::Reader::readBytes(), reader_, Lamp::BinaryReader::readInt(), stringBuffer_, and stringBufferSize_. Referenced by readAmbientLight(), readBasicMaterial(), readBasicMaterialLink(), readBone(), readCharacterMesh(), readCharacterModel(), readDirectionalLight(), readLODSceneNode(), readMeshData(), readMeshLink(), readModelLink(), readPictureList(), readPointLight(), readRigidMesh(), readSceneNode(), readSceneNodeLink(), readStandardModel(), readSurfaceTexture(), and readTextureLink().

TexCoord2 Lamp::BinarySceneLoader::readTexCoord2 | ( |  | ) | `[protected, virtual]`

| 二次元テクスチャ座標値の読み込み Returns: 二次元テクスチャ座標値 Definition at line 1055 of file BinarySceneLoader.cpp. References Lamp::TexCoord2::array, Lamp::Reader::readBytes(), and reader_. Referenced by readSurfaceTexture().

void Lamp::BinarySceneLoader::readTextureLinkList | ( | int | listSize | ) | `[protected, virtual]`

  | テクスチャリンクリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 961 of file BinarySceneLoader.cpp. References Assert, Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), reader_, and readTextureLink(). Referenced by load().

void Lamp::BinarySceneLoader::readTextureList | ( | int | listSize | ) | `[protected, virtual]`

  | テクスチャリストの読み込み Parameters:
  listSize | リストサイズ
Definition at line 626 of file BinarySceneLoader.cpp. References align(), Assert, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), reader_, readID(), Lamp::BinaryReader::readInt(), readSurfaceTexture(), and Lamp::Reader::skip(). Referenced by load().

Vector3 Lamp::BinarySceneLoader::readVector3 | ( |  | ) | `[protected, virtual]`

| 三次元ベクトルの読み込み Returns: 三次元ベクトル Definition at line 1013 of file BinarySceneLoader.cpp. References Lamp::Vector3::array, Lamp::Reader::readBytes(), and reader_. Referenced by readBone(), readDirectionalLight(), readLODSceneNode(), readMeshData(), readPointLight(), and readSceneNode().

The documentation for this class was generated from the following files:

- BinarySceneLoader.h
- BinarySceneLoader.cpp